# Import the Csound API extension module.

import csnd

# Print a directory of its attributes 
# (variables, functions, and classes) 
# to verify that it was properly imported.

print dir(csnd)

# Create an instance of Csound.

csound = csnd.CppSound()

# Enable Csound to print console messages 
# to the Python console.

csound.setPythonMessageCallback()

# Load the tutorial2 piece created earlier.

csound.load('tutorial2.csd')

# Set the Csound command for off-line rendering.

csound.setCommand('csound -RWfo tutorial4.py.wav temp.orc temp.sco')

# Print the complete .csd file.

print csound.getCSD()

# Export the .orc and .sco file for performance.

csound.exportForPerformance()

# Actually run the performance.

csound.perform()
